%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:		instack-undercloud
Version:	5.3.6
Release:	1%{?dist}
Summary:	Installation tools to install an undercloud via instack

Group:		Development/Languages
License:	ASL 2.0
Url:		https://github.com/openstack/instack-undercloud
Source0:	https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=5.3.6
#
Patch0001: 0001-Add-summarize-when-running-puppet-apply.patch
Patch0002: 0002-Add-numa-topology-colector-to-the-list-of-default-co.patch

BuildArch:	noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  git
Requires:	instack
Requires:	openstack-tripleo
Requires:	openstack-tripleo-heat-templates
Requires:	openstack-tripleo-image-elements
Requires:	redhat-lsb-core
Requires:	policycoreutils-python
Requires:	openstack-heat-templates
Requires:	openstack-tripleo-puppet-elements
Requires:	python-psutil
Requires:	pystache
Requires:	jq
Requires:	os-net-config
Requires:	os-cloud-config
Requires:	python-heat-agent
Requires:	puppet
Requires:	openstack-puppet-modules

Requires:	selinux-policy

%description
instack-undercloud is a collection of installation tools to install an
undercloud via python-instack. It contains scripts and elements to complete the
installation.


%prep
%autosetup -S git -n %{name}-%{upstream_version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}


%files
%doc README.md
%doc LICENSE
%{_datadir}/instack-undercloud
%{_bindir}/instack-*
%{python2_sitelib}/instack_undercloud*

%changelog
* Fri Jan 12 2018 Steve Linabery <slinaber@redhat.com> 5.3.6-1
- Update to 5.3.6
- Add --summarize when running puppet apply

* Wed Nov 08 2017 Steve Linabery <slinaber@redhat.com> 5.3.2-2
- undercloud/upgrade: change ownership for ironic-dbsync.log

* Wed Oct 18 2017 Steve Linabery <slinaber@redhat.com> 5.3.2-1
- Update to 5.3.2

* Wed Aug 09 2017 Steve Linabery <slinaber@redhat.com> 5.3.0-3
- Fail-fast if the undercloud-passwords.conf file is missing
- Add ssl development headers to bindep
- Remove any left-over tuskar packages on upgrade
- Remove isolated-build element

* Wed Jul 19 2017 Alex Schultz <aschultz@redhat.com> 5.3.0-2
- Remove backslash from awk command in stackrc (rhbz#1465616)
- Clear any previous environment in stackrc (rhbz#1465616)

* Thu May 18 2017 Jason Joyce <jjoyce@redhat.com> 5.3.0-1
- Update to 5.3.0

* Mon Mar 13 2017 Jon Schlueter <jschluet@redhat.com> 5.2.0-3
- Adds the nova db online data migrations to the list of db sync
- export OS_BAREMETAL_API_VERSION in stackrc (rhbz#1419038)
- Disable the deprecation warnings as errors for puppet-syntax

* Fri Mar 03 2017 Mike Burns <mburns@redhat.com> 5.2.0-2
- Move Docker registry setup into its own profile (rhbz#1428826)

* Wed Jan 04 2017 Jon Schlueter <jschluet@redhat.com> 5.2.0-1
- Update to 5.2.0

* Mon Nov 28 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-4
- Make inspection also respect whether iPXE is enabled
- Open firewall port for the TripleO UI

* Mon Nov 21 2016 Jason Joyce <jjoyce@redhat.com> 5.1.0-3
- correctly spell yaql_limit_iterators
- Increase Mistral Task Size limit

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-2
- Fix pep8 job
- Prevent pxe_ilo driver from guessing the boot mode to use (rhbz#1320318)

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-1
- Update to 5.1.0

* Tue Nov 08 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-4
- Disable Swift auditors and replicators on the undercloud

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-3
- Enable telemetry services by default on undercloud

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-2
- Only create the Mistral config env if it doesn't exist

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-1
- Update to 5.0.0

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-0.5.0rc3
- Run ceilometer api under wsgi on undercloud

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-0.4.0rc3
- Tune number of workers for undercloud

* Tue Oct 18 2016 Alfredo Moralejo <amoralej@redhat.com> 5.0.0-0.3.0rc3
- Update to 5.0.0.0rc3

* Thu Sep 29 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-0.2.0rc2
- Update to 5.0.0.0rc2

* Wed Sep 14 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-0.1.0b3
- Update to 5.0.0.0b3
